%global __brp_check_rpaths %{nil}
%global packname  hettreatreg
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          3%{?dist}%{?buildtag}
Summary:          Heterogeneous Treatment Effects in Regression Analysis

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1
Requires:         R-core >= 3.1
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Computes diagnostics for linear regression when treatment effects are
heterogeneous. The output of 'hettreatreg' represents ordinary least
squares (OLS) estimates of the effect of a binary treatment as a weighted
average of the average treatment effect on the treated (ATT) and the
average treatment effect on the untreated (ATU). The program estimates the
OLS weights on these parameters, computes the associated model
diagnostics, and reports the implicit OLS estimate of the average
treatment effect (ATE). See Sloczynski (2019),
<http://people.brandeis.edu/~tslocz/Sloczynski_paper_regression.pdf>.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%{rlibdir}/%{packname}
